Bug 1500045 - lifecycle environments shown for a specific docker tag shows all tags
Summary: lifecycle environments shown for a specific docker tag shows all tags
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Container Management
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Jonathon Turel
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-09 18:29 UTC by Tom McKay
Modified: 2019-08-12 14:03 UTC (History)
4 users (show)

Fixed In Version: rubygem-katello-3.4.5.29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 17:29:50 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot-tag-views (41.78 KB, image/png)
2017-11-27 12:07 UTC, Peter Ondrejka
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 21255 0 None None None 2017-10-09 18:29:53 UTC

Description Tom McKay 2017-10-09 18:29:51 UTC
To reproduce, sync a docker repo, add it to a content view, promote it to a lifecycle environment. How choose one of the tags on the "Docker Tags" page, then click the "Lifecycle Environments" tab. The list should show only the specific tag.

Comment 1 Tom McKay 2017-10-09 18:29:56 UTC
Created from redmine issue http://projects.theforeman.org/issues/21255

Comment 2 Tom McKay 2017-10-09 18:29:59 UTC
Upstream bug assigned to paji@redhat.com

Comment 4 Satellite Program 2017-10-26 20:20:11 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/21255 has been resolved.

Comment 5 Peter Ondrejka 2017-11-27 12:07:37 UTC
Created attachment 1359441 [details]
screenshot-tag-views

Verified on Satellite 6.3 snap 26

Comment 6 Bryan Kearney 2018-02-21 17:29:50 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.